﻿/*
    !IMPORTANT:
    Due to the nature of blazor and telerik code generation, CSS isolation is not working correctly when combining these components.
    Therefore the best practice we state that all CSS is to be defined in global CSS classes.
    This should work in all situations however keep in mind, when using global CSS classes be wary of conflicts with existing CSS tags.

    For more info see: https://docs.telerik.com/blazor-ui/knowledge-base/common-css-isolation
*/


.button-warning-color,
.button-warning-color:hover {
    background-color: tomato !important;  /*z-info #be955b*/
        color: white !important; /*@GlobalConstants.Color;*/
}

.button-checked-color,
.button-checked-color:hover {
    background-color: #23bde0 !important;
    color: white !important; /*@GlobalConstants.Color;*/
}


.checkbox-border-colors {
    border-color: gray !important;
}

.checkbox-colors {
    border-color: black !important;
}

    .checkbox-colors:checked {
        background-color: #23bde0 !important;
    }

.zinfo-tooltip .k-tooltip {
    background-color: white;
    color: black;
    border-width: 1px;
    border-color: black;
    border-radius: 0;
}

.borders {
    margin-left: 4px;
    margin-right: 4px;
}


/* Default k-windows-titlebar styling */
.k-window-titlebar {
    padding: 5px 15px !important;
    background-color: #165692 !important;
    align-items: center !important;
    color: white !important;
}
    .menu-url-style.ot,
    .menu-url-style:hover {
        background-color: skyblue !important;
        color: black !important;
        border-color: skyblue;
    }
    .menu-url-style.al,
    .menu-url-style:hover {
        background-color: deepskyblue !important;
        color: white !important;
        border-color: deepskyblue;
    }
        .menu-url-style.ot,
        .menu-url-style:hover {
            background-color: skyblue !important;
            color: black !important;
            border-color: skyblue;
        }
        .menu-url-style.al,
        .menu-url-style:hover {
            background-color: deepskyblue !important;
            color: white !important;
            border-color: deepskyblue;
        }



.main-toolbar.ot {
    height: 38px;
    background-color: skyblue !important;
    padding: 0px !important;
    overflow: visible !important;
}
    .main-toolbar.ot .navigation-menu .k-menu-link {
        color: black !important;
    }

    .main-toolbar.ot .page-info-menu .k-menu-link {
        color: black !important;
    }

    .main-toolbar.ot .profile-menu .k-menu-link {
        color: black !important;
    }


.main-toolbar.al {
    height: 38px;
    background-color: deepskyblue !important;
    padding: 0px !important;
    overflow: visible !important;
}

.main-toolbar {
    height: 38px;
    background-color: #165692 !important;
    padding: 0px !important;
    overflow: visible !important;
}

    .main-toolbar .navigation-menu-logo {
        cursor: pointer;
        height: 26px;
    }

    .main-toolbar .navigation-menu .k-menu-link {
        color: white !important;
    }

    .main-toolbar .page-info-menu .k-menu-link {
        color: white !important;
    }

    .main-toolbar .profile-menu .k-menu-link {
        color: white !important;
    }

/*
#profilemenu .k-button-solid-base {
    border-color: transparent;
    color: white !important;
    background-color: transparent;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.02));
}*/


#profilemenu-window {
    right: -1px;
    margin: 0;
    padding: 0;
    top: 37px;
    position: absolute;
    background-color: whitesmoke;
    border: 1px #d4d4d4 solid;
    min-width: 190px;
    overflow: auto;
    width: auto;
    box-shadow: 0px 8px 16px 0px rgb(0 0 0 / 20%);
    min-width: 600px;
    z-index: 1000;
}

.profilemenu-window-footer {
    display: grid;
    grid-template-columns: 50% auto 25%;
    text-align:left
}

.profilemenu-window-footer div {
    display: flex;
    justify-content: center;
    align-self: center;
}

#profilemenu-window.Show-True {
    display: block !important;
}

#profilemenu-window.Show-False {
    display: none !important;
}
    /*
#profilemenu-window .button-secondary,
#profilemenu-window .button-primary {
    color: white !important;
}

#profilemenu-window .button-secondary {
    background-color: #373737 !important;
}

#profilemenu-window .button-primary {
    background-color: #165692 !important;
}

#profilemenu-window.ot .button-primary {
    background-color: skyblue !important;
}

#profilemenu-window.al .button-primary {
    background-color: deepskyblue !important;
}*/

#profilemenu-window button {
    height: 35px !important;
    text-transform: none;
    font-size: 13px;
    border-radius: 0px;
}

#profilemenu-window #vertical-spacer {
    padding: 5px 0px;
}

